## org.eclipse.jst.jsf.facesconfig.emf
Interface AttributeType

All Known Implementing Classes:
  AttributeTypeImpl

    public interface AttributeType

A representation of the model object 'Attribute Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `Attribute Name`
- `Attribute Class`
- `Default Value`
- `Suggested Value`
- `Attribute Extension`
- `Id`

See Also:
  `FacesConfigPackage.getAttributeType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`AttributeClassType` `getAttributeClass()` Returns the value of the 'Attribute Class' containment reference
`EList` `getAttributeExtension()` Returns the value of the 'Attribute Extension' containment reference list.
`AttributeNameType` `getAttributeName()` Returns the value of the 'Attribute Name' containment reference
`DefaultValueType` `getDefaultValue()` Returns the value of the 'Default Value' containment reference
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`SuggestedValueType` `getSuggestedValue()` Returns the value of the 'Suggested Value' containment reference
`void` `setAttributeClass(AttributeClassType value)` Sets the value of the '`Attribute Class`' containment reference
`void` `setAttributeName(AttributeNameType value)` Sets the value of the '`Attribute Name`' containment reference
`void` `setDefaultValue(DefaultValueType value)` Sets the value of the '`Default Value`' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setSuggestedValue(SuggestedValueType value)` Sets the value of the '`Suggested Value`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getAttributeType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getAttributeType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getAttributeType_Icon()`

### getAttributeName

    AttributeNameType getAttributeName()

  Returns the value of the 'Attribute Name' containment reference.

  If the meaning of the 'Attribute Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute Name' containment reference.
  See Also:
    `setAttributeName(AttributeNameType)`, `FacesConfigPackage.getAttributeType_AttributeName()`

### setAttributeName

    void setAttributeName(AttributeNameType value)

  Sets the value of the '`Attribute Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Attribute Name' containment reference.
  See Also:
    `getAttributeName()`

### getAttributeClass

    AttributeClassType getAttributeClass()

  Returns the value of the 'Attribute Class' containment reference.

  If the meaning of the 'Attribute Class' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute Class' containment reference.
  See Also:
    `setAttributeClass(AttributeClassType)`, `FacesConfigPackage.getAttributeType_AttributeClass()`

### setAttributeClass

    void setAttributeClass(AttributeClassType value)

  Sets the value of the '`Attribute Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Attribute Class' containment reference.
  See Also:
    `getAttributeClass()`

### getDefaultValue

    DefaultValueType getDefaultValue()

  Returns the value of the 'Default Value' containment reference.

  If the meaning of the 'Default Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Value' containment reference.
  See Also:
    `setDefaultValue(DefaultValueType)`, `FacesConfigPackage.getAttributeType_DefaultValue()`

### setDefaultValue

    void setDefaultValue(DefaultValueType value)

  Sets the value of the '`Default Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Default Value' containment reference.
  See Also:
    `getDefaultValue()`

### getSuggestedValue

    SuggestedValueType getSuggestedValue()

  Returns the value of the 'Suggested Value' containment reference.

  If the meaning of the 'Suggested Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Suggested Value' containment reference.
  See Also:
    `setSuggestedValue(SuggestedValueType)`, `FacesConfigPackage.getAttributeType_SuggestedValue()`

### setSuggestedValue

    void setSuggestedValue(SuggestedValueType value)

  Sets the value of the '`Suggested Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Suggested Value' containment reference.
  See Also:
    `getSuggestedValue()`

### getAttributeExtension

    EList getAttributeExtension()

  Returns the value of the 'Attribute Extension' containment reference list. The list contents are of type `AttributeExtensionType`.

  If the meaning of the 'Attribute Extension' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getAttributeType_AttributeExtension()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getAttributeType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`